#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ktrip
Version: 23.04.1
Release:        %mkrel %{rel}
Summary:        Public transport assistant targeted towards mobile Linux and Android
License:        GPLv2+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/ktrip/
Source:         https://download.kde.org/stable/release-service//%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  reuse
BuildRequires:  pkgconfig(zlib)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5QQC2DesktopStyle)
BuildRequires:  cmake(KPublicTransport)

# Breeze is used as the fallback icon theme
Requires:       breeze-icons
# QML imports
Requires:       kpublictransport
Requires:       kirigami

%description
KTrip is a public transport assistant targeted towards mobile Linux and
Android. It allows to query journeys for a wide range of countries/public
transport providers by leveraging KPublicTransport.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/hicolor/*/apps/org.kde.%{name}.*
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Fri Jun 09 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1961485
- initial package ktrip

